---
layout: doc
title: Contributing
permalink: /doc/contributing/
redirect_from:
- /en/doc/contributing/
- /doc/ContributingHowto/
- /wiki/ContributingHowto/
---

How can I contribute to the Qubes Project?
==========================================

Thank you for your interest in contributing to the Qubes OS project! 

Following these guidelines helps communicate you respect the time of the developers managing and developing this open source project. In return, they will reciprocate that respect in addressing your issue, assessing changes, and helping you finalize your pull requests.

There are many ways to contribute to the Qubes OS project:

-   writing turorials or recording video demos
-   testing and [bug reporting](/doc/reporting-bugs/)
-   auditing code
-   requesting or implementing new features
-   creating artwork (plymouth themes, KDM themes, installer themes, wallpapers, etc)
-   writing [documentation](/doc/doc-guidelines)

The best starting point is to have a look at the [issues](https://github.com/QubesOS/qubes-issues/issues) to see what are the most urgent tasks to do. You can filter issues depending on your interest and experience, such as:

- [help wanted](https://github.com/QubesOS/qubes-issues/issues?page=3&q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22&utf8=%E2%9C%93)
- [UX and usability](https://github.com/QubesOS/qubes-issues/issues?q=is%3Aissue+is%3Aopen+label%3AUX)
- [Windows tools](https://github.com/QubesOS/qubes-issues/issues?q=is%3Aissue+is%3Aopen+label%3A%22C%3A+windows+tools%22)
- [Documentation](https://github.com/QubesOS/qubes-issues/issues?q=is%3Aissue+is%3Aopen+label%3A%22C%3A+doc%22)
- [privacy](https://github.com/QubesOS/qubes-issues/issues?utf8=%E2%9C%93&q=is%3Aissue%20is%3Aopen%20label%3A%22privacy%22%20)
- [Debian](https://github.com/QubesOS/qubes-issues/issues?q=is%3Aissue+is%3Aopen+label%3A%22C%3A+Debian%22)

Before you engage in an activity that will take you a significant amount of time, e.g. implementing a new feature, it's always good to contact us first, preferably via the [qubes-devel](/doc/mailing-lists/) list. When you contact us and devote to a particular task, we will create a ticket for this task with info who is working on this feature and what is the expected date of some early code to be posted.

If you are interested in contributing code, please read how to [access Qubes sources and send patches](/doc/source-code/).
